curl --request GET \
--url https://api.aries.com/v1/financials/reported \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/financials/reported"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cik": "320193",
"data": [
{
"acceptedDate": "2025-05-02 06:00:46",
"accessNumber": "0000320193-25-000057",
"cik": "320193",
"endDate": "2025-03-29 00:00:00",
"filedDate": "2025-05-02 00:00:00",
"form": "10-Q",
"quarter": 2,
"report": {
"bs": [
{
"concept": "us-gaap_ComprehensiveIncomeNetOfTax",
"label": "Total comprehensive income",
"unit": "usd",
"value": 61919000000
}
]
},
"startDate": "2024-09-29 00:00:00",
"symbol": "AAPL",
"year": 2025
}
],
"symbol": "AAPL"
}
}Reported Financials
Retrieve as-reported financial data directly from SEC filings without standardization or adjustments. Access raw XBRL data for detailed financial analysis and audit purposes.
Use Case: Extract exact revenue figures as reported in 10-K filings for forensic accounting analysis.
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
- Authorization URL
- https://app.aries.com/oauth2/authorize
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
- Token URL
- https://api.aries.com/v1/oauth2/token
- Refresh URL
- https://api.aries.com/v1/oauth2/token
Query Parameters
Stock symbol, such as AAPL. Use it to narrow results to one company. Required when both cik and accessNumber are omitted.
SEC CIK. Optional when symbol or accessNumber is provided.
SEC access number. Optional when symbol or cik is provided.
Optional reporting frequency filter. Use it to limit results to annual or quarterly reports. How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
annual, quarterly "quarterly"
Optional start date in YYYY-MM-DD format. Use it to begin the research window.
Optional end date in YYYY-MM-DD format. Use it to end the research window.
Response
Reported financials.
Show child attributes
Show child attributes
Was this page helpful?